## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanHTMLElementsProperties::InternalElementProperties Struct Reference

Collaboration diagram for XalanHTMLElementsProperties::InternalElementProperties:

[legend]
List of all members.

## Public Types

- typedef InternalAttributeProperties::FlagsType AttributeFlagsType
- typedef unsigned int FlagsType

## Public Member Functions

- bool isAttribute (const XalanDOMChar *theAttributeName, AttributeFlagsType theFlags) const
    Check if particular attribute properties are set for this instance.
- bool is (FlagsType theFlags) const
    Check if particular properties are set for this instance.
- const InternalAttributeProperties & findProperties (const XalanDOMChar *theAttributeName) const
    Find an instance with the given attribute name.

## Public Attributes

- XalanDOMChar m_name [eMaxElementName+1]
- FlagsType m_flags
- InternalAttributeProperties m_attributes [eMaxAttributes+1]

## Static Public Attributes

- const InternalAttributeProperties s_dummyProperties

## Member Typedef Documentation

typedef InternalAttributeProperties::FlagsType XalanHTMLElementsProperties::InternalElementProperties::AttributeFlagsType

typedef unsigned int XalanHTMLElementsProperties::InternalElementProperties::FlagsType

## Member Function Documentation

const InternalAttributeProperties& XalanHTMLElementsProperties::InternalElementProperties::findProperties | ( | const XalanDOMChar * | theAttributeName | ) | const

Find an instance with the given attribute name.

Parameters:

  theAttributeName | The attribute name.

Returns:
  A reference to an instance.

bool XalanHTMLElementsProperties::InternalElementProperties::is | ( | FlagsType | theFlags | ) | const

Check if particular properties are set for this instance.

See the eFlag enum for the valid properties.

Parameters:

  theFlags | The properties to check.

Returns:
  true if the property is set, false if not

bool XalanHTMLElementsProperties::InternalElementProperties::isAttribute | ( | const XalanDOMChar * | theAttributeName,
|  | AttributeFlagsType | theFlags
| ) | const

Check if particular attribute properties are set for this instance.

See the eFlag enum for the valid properties.

Parameters:

  theAttributeName | The attribute name.
  theFlags | The properties to check.

Returns:
  true if the property is set, false if not

## Member Data Documentation

InternalAttributeProperties XalanHTMLElementsProperties::InternalElementProperties::m_attributes[eMaxAttributes + 1]

FlagsType XalanHTMLElementsProperties::InternalElementProperties::m_flags

XalanDOMChar XalanHTMLElementsProperties::InternalElementProperties::m_name[eMaxElementName + 1]

const InternalAttributeProperties XalanHTMLElementsProperties::InternalElementProperties::s_dummyProperties`[static]`

The documentation for this struct was generated from the following file:

- XalanHTMLElementsProperties.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.